## Patch Auto-Origin TLS KEX enrollment status for the given zone `client.ssl.autoOriginTLSKex.edit(AutoOriginTLSKexEditParamsparams, RequestOptionsoptions?): AutoOriginTLSKexEditResponse` **patch** `/zones/{zone_id}/settings/auto_origin_tls_kex` Enable or disable Auto-Origin TLS KEX selection for the zone by sending `{"enabled": true}` or `{"enabled": false}`. When enabled, Cloudflare runs a periodic scan of the zone's origins to determine the preferred key-exchange algorithm and writes that preference to the edge so it is sent first in the TLS ClientHello to the origin. ### Parameters - `params: AutoOriginTLSKexEditParams` - `zone_id: string` Path param - `enabled: boolean` Body param: Controls enablement of Auto-Origin TLS KEX selection for the zone. ### Returns - `AutoOriginTLSKexEditResponse` - `id: string` - `enabled: boolean` Whether Auto-Origin TLS KEX selection is enabled for the zone. - `modified_on: string` Last time this setting was modified. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.ssl.autoOriginTLSKex.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', enabled: true, }); console.log(response.id); ``` #### Response ```json { "errors": [], "messages": [], "result": { "enabled": false, "id": "auto_origin_tls_kex", "modified_on": "2014-01-01T05:20:00.12345Z" }, "success": true } ```